package cn.org.bjca.trust.android.lib.im;

import cn.org.bjca.trust.android.lib.im.kit.SdkGroupInterface;
import cn.org.bjca.trust.android.lib.im.kit.SdkInterface;
import cn.org.bjca.trust.android.lib.im.kit.SdkMsgInterface;
import cn.org.bjca.trust.android.lib.im.manager.SZYXGroupManager;
import cn.org.bjca.trust.android.lib.im.manager.SZYXImManager;
import cn.org.bjca.trust.android.lib.im.manager.SZYXMessageManager;

public class SZYXImSdk {

    private static final class SdkInterfaceHolder {
        static final SdkInterface instance = new SZYXImManager();
    }

    private static final class SdkMsgInterfaceHolder {
        static final SdkMsgInterface instance = new SZYXMessageManager();
    }

    private static final class SdkGroupInterfaceHolder {
        static final SdkGroupInterface instance = new SZYXGroupManager();
    }

    public static SdkInterface getInstance() {
        return SdkInterfaceHolder.instance;

    }

    public static SdkMsgInterface getMessageManager() {
        return SdkMsgInterfaceHolder.instance;

    }

    public static SdkGroupInterface getGroupManager() {
        return SdkGroupInterfaceHolder.instance;

    }
}
