package cn.org.bjca.trust.android.lib.im.im.msg;

import cn.org.bjca.trust.android.lib.im.db.device.DeviceEntity;
import cn.org.bjca.trust.android.lib.im.enums.PacketType;
import cn.org.bjca.trust.android.lib.im.im.bean.PacketMessage;

public class ConnectMessage extends PacketMessage {
    public ConnectMessage() {
        super(PacketType.CONNECT);
    }
    private DeviceEntity device;

    public ConnectMessage(DeviceEntity device) {
        super(PacketType.CONNECT);
        this.device = device;
    }

    public DeviceEntity getDevice() {
        return device;
    }

    public void setDevice(DeviceEntity device) {
        this.device = device;
    }
}
