package cn.org.bjca.trust.android.lib.im.im.msg;

import cn.org.bjca.trust.android.lib.im.enums.PacketType;
import cn.org.bjca.trust.android.lib.im.im.bean.PacketMessage;

public class RequestMessage extends PacketMessage {
    public RequestMessage() {
        super(PacketType.REQUEST);
    }

    private String path;
    private String body;

    public RequestMessage(String path) {
        super(PacketType.REQUEST);
        this.path = path;
    }

    public RequestMessage(String path, String body) {
        super(PacketType.REQUEST);
        this.path = path;
        this.body = body;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }
}
